From: Simon McVittie <smcv@debian.org>
Date: Wed, 12 Sep 2018 21:58:40 +0100
Subject: Compile successfully against libcurl 7.52.x

Older versions of libcurl didn't have this constant. It's non-critical,
and is only there to speed up downloads; skip that when compiling
against an older system copy of libcurl, such as 7.52.x in Debian 9.

Signed-off-by: Simon McVittie <smcv@debian.org>
Forwarded: no
---
 code/client/cl_curl.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/code/client/cl_curl.c b/code/client/cl_curl.c
index cca6497..783fbf4 100644
--- a/code/client/cl_curl.c
+++ b/code/client/cl_curl.c
@@ -301,7 +301,9 @@ void CL_cURL_BeginDownload( const char *localName, const char *remoteURL )
 	qcurl_easy_setopt_warn(clc.downloadCURL, CURLOPT_MAXREDIRS, 5);
 	qcurl_easy_setopt_warn(clc.downloadCURL, CURLOPT_PROTOCOLS,
 		CURLPROTO_HTTP | CURLPROTO_HTTPS | CURLPROTO_FTP | CURLPROTO_FTPS);
+#ifdef CURL_MAX_READ_SIZE
 	qcurl_easy_setopt_warn(clc.downloadCURL, CURLOPT_BUFFERSIZE, CURL_MAX_READ_SIZE);
+#endif
 	clc.downloadCURLM = qcurl_multi_init();	
 	if(!clc.downloadCURLM) {
 		qcurl_easy_cleanup(clc.downloadCURL);
